Get domains Apple Pay

Get domains registered with Apple Pay.

Read our Apple Pay tutorial to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/apple-pay.read scope.

GET
/accounts/{accountID}/apple-pay/domains
cURL Go TypeScript PHP Python Java Ruby
curl -X POST "https://api.moov.io/accounts/{accountID}/apple-pay/domains" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()

var accountID string

mc.GetApplePayDomain(ctx, accountID)
import { SDK } from "openapi";

const sdk = new SDK({
  xMoovVersion: "v2024.01.00",
});

async function run() {
  const result = await sdk.applePay.getMerchantDomains({
    accountID: "28704d00-d07b-47db-9e54-016a9713d697",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use OpenAPI\OpenAPI;

$sdk = OpenAPI\SDK::builder()
    ->setXMoovVersion('v2024.01.00')
    ->build();



$response = $sdk->applePay->getMerchantDomains(
    accountID: '28704d00-d07b-47db-9e54-016a9713d697'
);

if ($response->applePayMerchantDomains !== null) {
    // handle response
}
from openapi import SDK


with SDK(
    x_moov_version="v2024.01.00",
) as sdk:

    res = sdk.apple_pay.get_merchant_domains(account_id="28704d00-d07b-47db-9e54-016a9713d697")

    # Handle response
    print(res)
package hello.world;

import java.lang.Exception;
import org.openapis.openapi.SDK;
import org.openapis.openapi.models.operations.GetApplePayMerchantDomainsResponse;

public class Application {

    public static void main(String[] args) throws Exception {

        SDK sdk = SDK.builder()
                .xMoovVersion("v2024.01.00")
            .build();

        GetApplePayMerchantDomainsResponse res = sdk.applePay().getMerchantDomains()
                .accountID("28704d00-d07b-47db-9e54-016a9713d697")
                .call();

        if (res.applePayMerchantDomains().isPresent()) {
            // handle response
        }
    }
}
require 'openapi'

Models = ::OpenApiSDK::Models
s = ::OpenApiSDK::SDK.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.apple_pay.get_merchant_domains(account_id: '28704d00-d07b-47db-9e54-016a9713d697')

unless res.apple_pay_merchant_domains.nil?
  # handle response
end
200 401 403 404 429 500 504
The request completed successfully.
application/json
{
  "accountID": "string",
  "displayName": "string",
  "domains": [
    "checkout.classbooker.dev"
  ],
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required
ID of the Moov account representing the merchant.

Response

application/json

accountID

string required

createdOn

string<date-time> required

displayName

string <=64 characters required
A UTF-8 string to display in the Buy button.

domains

array<string> required
A unique list of fully-qualified, top-level or sub-domain names where you will accept Apple Pay.

updatedOn

string<date-time> required